/* Licensed Materials - Property of IBM              */		
/* (c) Copyright IBM Corp. 2020. All Rights Reserved.*/	

package org.opengroup.osdu.register.provider.ibm.subscriber;

import java.sql.Timestamp;

import org.opengroup.osdu.register.subscriber.model.Subscription;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class SubscriptionDoc {
	private String _id;
	private String _rev;
	private String name;
	private String description;
	private String topic;
	private String pushEndpoint;
	private String createdBy;
	private Timestamp createdOnEpoch;
	private String notificationId;
	private String secretType;
	private String secretValue;

	public SubscriptionDoc(Subscription subscription) {
		this._id = subscription.getId();
		this.name = subscription.getName();
		this.description = subscription.getDescription();
		this.topic = subscription.getTopic();
		this.pushEndpoint = subscription.getPushEndpoint();
		this.createdBy = subscription.getCreatedBy();
		this.createdOnEpoch = new Timestamp(System.currentTimeMillis());
		this.notificationId = subscription.getNotificationId();
		this.secretType = subscription.getSecret().getSecretType();
		this.secretValue = subscription.getSecret().toString();

	}

}
